package com.example.sybd.controllers;

import com.example.sybd.services.VisitService;
import com.example.sybd.services.WorkerService;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping("/worker")
public class WorkerController {
	private final VisitService visitService;
	private final WorkerService workerService;

	public WorkerController(VisitService visitService, WorkerService workerService) {
		this.visitService = visitService;
		this.workerService = workerService;
	}

	@GetMapping("/")
	public String main(Model model) {
		model.addAttribute("visits", visitService.all());
		model.addAttribute("workers", workerService.all());
		return "workerMain";
	}
}
