package com.example.sybd.models;

import jakarta.persistence.*;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.mapping.Set;

import java.text.MessageFormat;
import java.util.Collection;

@Getter
@Setter
@Entity
@Table( name = "client" )
public class Client {
	@Id
	@GeneratedValue( strategy = GenerationType.IDENTITY )
	@Column( name = "id", nullable = false )
	private Long id;

	private String name;
	private String lastName;
	private String secondName;
	private String telephone;
	private String address;

	@OneToMany( mappedBy = "client" )
	private Collection<Visit> visits;

	public String getFio() {
		return MessageFormat.format("{0} {1} {2}", secondName, name, lastName);
	}
}