package com.example.sybd.models;

import jakarta.persistence.*;
import lombok.Getter;
import lombok.Setter;

import java.sql.Date;
import java.sql.Time;

@Getter
@Setter
@Entity
@Table( name = "visit" )
public class Visit {
	@Id
	@GeneratedValue( strategy = GenerationType.IDENTITY )
	@Column( name = "id", nullable = false )
	private Long id;

	@ManyToOne
	@JoinColumn( name = "client_id" )
	private Client client;

	@ManyToOne
	@JoinColumn( name = "service_id" )
	private Service service;

	@ManyToOne
	@JoinColumn( name = "worker_id" )
	private Worker worker;

	private Date dateVisit;
	private Time time;
	private boolean isEnded;
}