package com.example.sybd.models;

import jakarta.persistence.*;
import lombok.Getter;
import lombok.Setter;

import java.util.Collection;

@Getter
@Setter
@Entity
@Table( name = "worker" )
public class Worker {
	@Id
	@GeneratedValue( strategy = GenerationType.IDENTITY )
	@Column( name = "id", nullable = false )
	private Long id;

	private String name;
	private String lastName;
	private String secondName;
	private String telephone;
	private String address;

	@ManyToOne
	@JoinColumn( name = "post_id" )
	private Post post;

	@OneToMany( mappedBy = "worker" )
	private Collection<Visit> visits;
}