package com.example.sybd.services;

import com.example.sybd.models.Post;
import com.example.sybd.models.Worker;
import com.example.sybd.repository.WorkerRepository;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.StreamSupport;

@Service
public class WorkerService implements IService<Worker, Long> {
	private final WorkerRepository workerRepository;
	private final PostService postService;

	public WorkerService(WorkerRepository workerRepository,
	                     PostService postService) {
		this.workerRepository = workerRepository;
		this.postService = postService;
	}

	public @Nullable Worker create(@NotNull String name,
	                               @NotNull String secondName,
	                               @NotNull String lastName,
	                               @NotNull String telephone,
	                               @NotNull String address,
	                               @NotNull Long post_id) {
		Post post = postService.get(post_id);
		if (post == null) return null;
		Worker out = new Worker();
		out.setName(name);
		out.setSecondName(secondName);
		out.setLastName(lastName);
		out.setTelephone(telephone);
		out.setAddress(address);
		return workerRepository.save(out);
	}

	@Override
	public @NotNull List<Worker> all() {
		return StreamSupport.stream(workerRepository.findAll().spliterator(), false).toList();
	}

	@Override
	public @Nullable Worker get(Long aLong) {
		return null;
	}

	@Override
	public @Nullable Worker delete(Long aLong) {
		return null;
	}

	@Override
	public @Nullable Worker update(Worker other) {
		return null;
	}
}
